# `na`

Nucleic Acid Structures for PDB2PQR

This module contains the base nucleic acid structures for pdb2pqr.

Code author: Todd Dolinsky

Code author: Nathan Baker

pdb2pqr.na.A

  alias of `ADE`

class pdb2pqr.na.ADE(atoms, ref)

  Adenosine class.

  __init__(atoms, ref)

    Initialize residue.

    Parameters:

      atoms ([Atom]) – add atoms to residue

  letter_code()

    Return letter code for nucleic acid.

    Returns:

      letter code for nucleic acid

    Return type:

      str

  set_state()

    Set ribo- vs. deoxyribo- state of this residue.

pdb2pqr.na.C

  alias of `CYT`

class pdb2pqr.na.CYT(atoms, ref)

  Cytidine class

  __init__(atoms, ref)

    Initialize residue.

    Parameters:

      atoms ([Atom]) – add atoms to residue

  letter_code()

    Return letter code for nucleic acid.

    Returns:

      letter code for nucleic acid

    Return type:

      str

  set_state()

    Set ribo- vs. deoxyribo- state of this residue.

pdb2pqr.na.DA

  alias of `ADE`

pdb2pqr.na.DC

  alias of `CYT`

pdb2pqr.na.DG

  alias of `GUA`

pdb2pqr.na.DT

  alias of `THY`

pdb2pqr.na.G

  alias of `GUA`

class pdb2pqr.na.GUA(atoms, ref)

  Guanosine class

  __init__(atoms, ref)

    Initialize residue.

    Parameters:

      atoms ([Atom]) – add atoms to residue

  letter_code()

    Return letter code for nucleic acid.

    Returns:

      letter code for nucleic acid

    Return type:

      str

  set_state()

    Set ribo- vs. deoxyribo- state of this residue.

class pdb2pqr.na.Nucleic(atoms, ref)

  This class provides standard features of the nucleic acids listed below.

  __init__(atoms, ref)

    Initialize the class

    Parameters:

      atoms (list) – list of atom-like (`HETATM` or `ATOM`) objects to be stored

  add_atom(atom)

    Add existing atom to system.

    Override the existing add_atom - include the link to the reference object.

    Parameters:

      atom (Atom) – atom to add to system.

  add_dihedral_angle(value)

    Add the value to the list of chi angles.

    Parameters:

      value (float) – dihedral angle to add to list (in degrees)

  create_atom(atomname, newcoords)

    Create an atom.

    Overrides the generic residue’s create_atom().

    Todo

    This code is duplicated in several places.

    Parameters:

      - atomname (str) – the name of the atom to add

      - newcoords ([(float, float, float)]) – the coordinates of the atom

  set_state()

    Adds the termini for all inherited objects.

pdb2pqr.na.RA

  alias of `ADE`

pdb2pqr.na.RC

  alias of `CYT`

pdb2pqr.na.RG

  alias of `GUA`

pdb2pqr.na.RU

  alias of `URA`

class pdb2pqr.na.THY(atoms, ref)

  Thymine class

  __init__(atoms, ref)

    Initialize residue.

    Parameters:

      atoms ([Atom]) – add atoms to residue

  letter_code()

    Return letter code for nucleic acid.

    Returns:

      letter code for nucleic acid

    Return type:

      str

  set_state()

    Set ribo- vs. deoxyribo- state of this residue.

pdb2pqr.na.U

  alias of `URA`

class pdb2pqr.na.URA(atoms, ref)

  Uridine class

  __init__(atoms, ref)

    Initialize residue.

    Parameters:

      atoms ([Atom]) – add atoms to residue

  letter_code()

    Return letter code for nucleic acid.

    Returns:

      letter code for nucleic acid

    Return type:

      str

  set_state()

    Set ribo- vs. deoxyribo- state of this residue.